{% set config = merged_configs.get('google_compute_global_forwarding_rule', {}) %}
# Compliance: {{ compliance_comments.get('google_compute_global_forwarding_rule', []) | join(', ') }}
resource "google_compute_global_forwarding_rule" "main" {
  name        = "{{ config.get('name', '${var.project_id}-https-rule') }}"
  project     = var.project_id
  target      = google_compute_target_https_proxy.main.id
  port_range  = "{{ config.get('port_range', '443') }}"
  ip_protocol = "{{ config.get('ip_protocol', 'TCP') }}"

  load_balancing_scheme = "{{ config.get('load_balancing_scheme', 'EXTERNAL_MANAGED') }}"
}
